=== debian/control ===
Source: ros-indigo-parameter-pa
Section: misc
Priority: extra
Maintainer: Peter Weissig <wepet@hrz.tu-chemnitz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-parameter-pa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-cmake-modules, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-roslib
Description: ProAut parameter package
